/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */


$("body").on("keypress", "input.money-input", function (e) {
    var c = String.fromCharCode(e.which);
    var k = e.which;
    if (/[0-9]|[\.]/.test(c)) {
        // Numbers and period
    } else if (k == 0 || k == 8) {
        // Delete, backspace, etc
    } else {
        e.preventDefault();
        return false;
    }
});

$("body").on("change", "input.money-input", function (e) {
    if ($(this).attr("max")) {
        if ($(this).attr("max") * 1.0 < $(this).val() * 1.0) {
            $(this).val($(this).attr("max"));
        }
    }
    if ($(this).attr("min")) {
        if ($(this).attr("min") * 1.0 > $(this).val() * 1.0) {
            $(this).val($(this).attr("min"));
        }
    }

    $(this).val(($(this).val() * 1.0).toFixed(2) + "");
    console.log(($(this).val() * 1.0).toFixed(2) + "");
});